<?php

namespace AppBundle\Repository\Subscription;

use AppBundle\Entity\User;

/**
 * VotationRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class VoteRepository extends \Doctrine\ORM\EntityRepository
{
    public function findVotes(User $user = null)
    {
        $qb = $this->createQueryBuilder('v');

        if($user) {
//            dump($user->getId());die;
            $qb->where('v.createdBy = :user')
                ->setParameter(':user', $user);
        }

        $qb->orderBy('v.createdAt', 'DESC');

        return $qb;
    }

    public function hasVote($code)
    {
        $qb = $this->createQueryBuilder('v');

            $qb->where('v.code = :code')
                ->setParameter(':code', $code);
        $res = $qb->getQuery()->getResult();
        if(count($res) > 0) {
            return $res['0'];
        }
        return null;
    }
}
